%global modname h5io
%global commit 1a1849dda03beb576f3a8189d0326d33c38a2377
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           python-%{modname}
Version:        0.1.0
Release:        5.git%{shortcommit}%{?dist}
Summary:        Read and write simple Python objects using HDF5

License:        BSD
URL:            https://github.com/h5io/h5io
Source0:        %{url}/archive/%{commit}/%{modname}-%{shortcommit}.tar.gz

BuildArch:      noarch

%description
h5io is a package designed to facilitate saving some standard Python objects
into the forward-compatible HDF5 format.
It is a higher-level package than h5py.

%package -n python3-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(h5py)
BuildRequires:  python3dist(scipy)
BuildRequires:  python3-nose
Requires:       python%{python3_version}dist(numpy)
Requires:       python%{python3_version}dist(h5py)
Recommends:     python%{python3_version}dist(scipy)

%description -n python3-%{modname}
h5io is a package designed to facilitate saving some standard Python objects
into the forward-compatible HDF5 format.
It is a higher-level package than h5py.

Python 3 version.

%prep
%autosetup -n %{modname}-%{commit}

%build
%py3_build

%install
%py3_install

%check
nosetests-%{python3_version} -v

%files -n python3-%{modname}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/%{modname}*

%changelog
* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-5.git1a1849d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-4.git1a1849d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jan 04 2019 Miro Hrončok <mhroncok@redhat.com> - 0.1.0-3.git1a1849d
- Subpackage python2-h5io has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-2.git1a1849d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jul 09 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.0-1.git1a1849d
- Update to latest snapshot

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.1-0.10.gita73bba4
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-0.9.gita73bba4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-0.8.gita73bba4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-0.7.gita73bba4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.1-0.6.gita73bba4
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.5.gita73bba4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-0.4.gita73bba4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Nov 12 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.1-0.3.git173bba4
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Sun Nov 08 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.1-0.2.gita73bba4
- Massage versioning a bit

* Sun Nov 08 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.1-0.1.gita73bba4
- Initial package
